Subject: bug#54378: Subject: 29.0 Build failed

From: Po Lu <[email-masked]>
Date: Tue, 15 Mar 2022 08:32:02 +0800

Eli Zaretskii <[email-masked]> writes:

> But why does it need dynlib?  This is only for Posix platforms, so
> just use the dynamic loading functions (dlopen, dlsym etc.) directly.
> There should be no need to go through dynlib.c, which is an
> abstraction layer implemented specifically for modules, so that Fload
> and friends could be blissfully unaware of the platform
> idiosyncrasies.
>
> When we need to dynamically load stuff in the w32-specific code, we
> just call LoadLibrary and GetProcAddress directly, we don't use
> dynlib.  How is this case different?

It isn't, but I thought dynlib was supposed to always be used.

Thanks for clarifying.